### Method

# FwupdPlugin Device ensure_from_release

since: 2.0.5

#### Declaration [src]

    void
    fu_device_ensure_from_release (
      FuDevice* self,
      XbNode* rel
    )

#### Description [src]

Ensure all properties from the donor AppStream release as required.

Available since: 2.0.5

#### Parameters

`rel`

  Type: `XbNode`

  A `XbNode`.

  The data is owned by the caller of the method.